import Vue from 'vue';
import Vuex from 'vuex';
import * as ustate from '@common/src/store/user/state';
import * as umutations from '@common/src/store/user/mutations';
import login from '@common/src/store/login';
import news from '@common/src/store/news';
import openInfo from '@common/src/store/openInfo';
import product from '@common/src/store/product';
import patent from '@common/src/store/patent';
import roadShow from '@common/src/store/roadShow';
import expert from '@common/src/store/expert';
import organization from '@common/src/store/organization';
import mechanism from '@common/src/store/mechanism';
import code from '@common/src/store/code';
import online from '@common/src/store/online';
import policy from '@common/src/store/policy';
import ticket from '@common/src/store/ticket';
import achieveApply from '@common/src/store/achieve_apply';
import statistics from '@common/src/store/statistics';

Vue.use(Vuex);

export default new Vuex.Store({
  state: { ...ustate },
  mutations: { ...umutations },
  actions: {},
  modules: {
    login,
    news,
    openInfo,
    product,
    patent,
    roadShow,
    expert,
    organization,
    mechanism,
    online,
    code,
    policy,
    ticket,
    achieveApply,
    statistics,
  },
});
